import { EventHandler, ReactElement, ReactNode, SyntheticEvent } from 'react';
import { DialogProps } from '@material-ui/core/Dialog/Dialog';
export interface ConfirmProps extends Omit<DialogProps, 'children' | 'onClick' | 'open'> {
    disabled?: boolean;
    title?: string;
    confirmLabel?: string;
    cancelLabel?: string;
    content?: ((content: () => void) => ReactNode) | ReactNode | string;
    children: ReactElement<any>;
    onConfirm?: (event: SyntheticEvent<any>, close: () => void) => void;
    confirmDisabled?: boolean;
    onClick?: EventHandler<SyntheticEvent<any>>;
    loading?: boolean;
}
export declare const Confirm: ({ children, title, content, confirmLabel, cancelLabel, onConfirm, onClick, confirmDisabled, loading, ...props }: ConfirmProps) => JSX.Element;
